OpenWrt Forum Archive

Topic: TP-LINK WR710N v2.1

The content of this topic has been archived on 1 Jan 2018. There are no obvious gaps in this topic, but there may still be some posts missing at the end.

Hi,

first of all, I am new to this board, so feel free to move this Topic if neccessary!

Looks like there's a "new" TP-LINK WR710N Hardware Version available, the 2.1. I just received one and tried to Flash OpenWrt without success. The message I received says

Error
Error code: 18005
Upgrade unsuccessfully because the version of the upgraded file was incorrect. Please check the file name.

For me it Looks like the factory Firmware is checking if the upgrade is valid and then complains about the different Hardware versions. It Looks like it has the same Hardware as the 1.1 before, so OpenWrt should work without any Major modifications.

I tried both the v1 and the v2 versions, same error.

Is there any way I could get OpenWrt to the device, preffered without a Serial Connection?

Many thanks, Jan.

If you compile from Trunk and change the standard settings in target/linux/ar71xx/image/Makefile
into this, you will be able to flash from the router web page.

define Device/tl-wr710n-v1
    $(Device/tplink-8mlzma)
    BOARDNAME := TL-WR710N
    DEVICE_PROFILE := TLWR710
    TPLINK_HWID := 0x07100002
    TPLINK_HWREV := 0x00000002
    CONSOLE := ttyATH0,115200
endef

The change seems to be that the HWREV is increased from 1 to 2.

snap wrote:

If you compile from Trunk and change the standard settings in target/linux/ar71xx/image/Makefile
into this, you will be able to flash from the router web page.

Thank you for this information.
So it should work also with?:

Barrier Breaker 14.07

It would be very helpful for me to receive such image from you or some one else because I never had builded an OpenWrt image before.

Yes, also for me it was possible to flash an own build.

HowTo:
http://wiki.openwrt.org/doc/howto/buildroot.exigence

My steps:
mkdir -p /home/gast/Schreibtisch/OpenWrt/
cd /home/gast/Schreibtisch/OpenWrt/
git clone git://git.openwrt.org/15.05/openwrt.git
cd openwrt
./scripts/feeds update -a
./scripts/feeds install -a

vim target/linux/ar71xx/image/Makefile
change Device/tl-wr710n-v1 section to:

define Device/tl-wr710n-v1
    $(Device/tplink-8mlzma)
    BOARDNAME := TL-WR710N
    DEVICE_PROFILE := TLWR710
    TPLINK_HWID := 0x07100002
    TPLINK_HWREV := 0x00000002
    CONSOLE := ttyATH0,115200
endef

make menuconfig
-> selecting TLWR710 as target profile ("CONFIG_TARGET_ar71xx_generic_TLWR710=y" in the .config file)
-> select LUCI

save & exit

make

flash the own build: openwrt-ar71xx-generic-tl-wr710n-v1-squashfs-factory.bin
from webinterface

afterwards it was also possible to flash the original 15.05 file from server.

connect via ssh to the router:

Steps:
ssh root@192.168.1.1

cd /tmp
wget http://downloads.openwrt.org/barrier_br … actory.bin
mtd -r write /tmp/openwrt-ar71xx-generic-tl-wr710n-v1-squashfs-factory.bin firmware

(Last edited by adgrex on 16 Sep 2015, 13:39)

Yes.

DESIGNATED DRIVER (Bleeding Edge, r48458)

Hello

I'm having trouble installing transmission. "Unknown package 'transmission'." What am I doing wrong?

The discussion might have continued from here.